Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

The caller's awards earned from one document

GET
/api/v1/documents/{documentId}/achievements
curl --request GET \
--url https://api.yggy.tech/api/v1/documents/example/achievements \
--header 'Authorization: Bearer <token>'
documentId
required
string
>= 1 characters
host
string | null
x-yggy-organization-id
string | null

Awards from the document

Media type application/json
object
awards
required
Array<object>
object
id
required
string
rarity
required
string
Allowed values: common rare epic legendary exotic
earnedAt
required
string
sourceDocumentId
required
string | null
Example
{
"awards": [
{
"rarity": "common"
}
]
}

Document not found or achievements are not enabled